## gmplot 1.4.1

=== Makefile ===

.PHONY: test

all: 
	@echo 'Nothing to make. Only "make test" works.'

test:
	coverage run -m unittest discover -v

## gmplot 1.1.0

=== debian/changelog ===
gmplot (1.1.0-3) unstable; urgency=medium

  * debian/patches/0002-Updated-itermitems-to-items.patch
    - replace iteritems() with items(), needed for py3k compat

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Feb 2016 22:35:02 +0000

gmplot (1.1.0-2) unstable; urgency=medium

  * debian/patches/0001-use-relative-imports.patch
    - py3k would fail to import gmplot without relative imports

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2016 18:47:00 +0000

gmplot (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #808841)

 -- Sandro Tosi <morph@debian.org>  Wed, 23 Dec 2015 17:08:29 +0000

=== debian/control ===
Source: gmplot
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/vgm64/gmplot
Vcs-Git: git://anonscm.debian.org/python-modules/packages/gmplot.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/gmplot.git

Package: python-gmplot
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: matplotlib-like interface to plotting data with Google Maps
 Plotting data on Google Maps, the easy way. A matplotlib-like interface to
 generate the HTML and javascript to render all the data you’d like on top of
 Google Maps. Several plotting methods make creating exploratory map views
 effortless.

Package: python3-gmplot
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: matplotlib-like interface to plotting data with Google Maps (python3)
 Plotting data on Google Maps, the easy way. A matplotlib-like interface to
 generate the HTML and javascript to render all the data you’d like on top of
 Google Maps. Several plotting methods make creating exploratory map views
 effortless.
 .
 This package contains the Python 3 version of gmplot .

## gmplot 1.1.1

=== debian/changelog ===
gmplot (1.1.1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Oct 2016 13:50:59 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/vgm64/gmplot
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/gmplot.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/gmplot.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/gmplot.git
 
 Package: python-gmplot

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	python  setup.py install --root=debian/python-gmplot  --install-layout=deb
	python3 setup.py install --root=debian/python3-gmplot --install-layout=deb

override_dh_installdocs:
	dh_installdocs -A README.rst

## gmplot 1.2.0

=== debian/changelog ===
gmplot (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python 2 support + use pybuild
  * debian/control
    - add requests to b-d, tests
    - bump Standards-Version to 4.4.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Aug 2019 22:10:43 -0400

gmplot (1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Jun 2018 18:35:07 -0400

=== debian/control ===
Source: gmplot
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-setuptools, python3-requests
Standards-Version: 4.4.0
Homepage: https://github.com/vgm64/gmplot
Vcs-Git: https://salsa.debian.org/python-team/modules/gmplot.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/gmplot

Package: python3-gmplot
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: matplotlib-like interface to plotting data with Google Maps (python3)
 Plotting data on Google Maps, the easy way. A matplotlib-like interface to
 generate the HTML and javascript to render all the data you’d like on top of
 Google Maps. Several plotting methods make creating exploratory map views
 effortless.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-gmplot --install-layout=deb

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/gmplot/gmplot-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gmplot 1.4.1

=== debian/changelog ===
gmplot (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * adopt package inside DPT (Closes: #1065141)
  * use new dh-sequence-python3
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Mar 2024 17:00:51 +0100

gmplot (1.2.0-4) unstable; urgency=medium

  * orphan while waiting for RM

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 16:53:37 -0500

gmplot (1.2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - run wrap-and-sort
    - bump Standards-Version to 4.6.0.1 (no changes needed)

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Mon, 02 May 2022 22:45:36 -0400

=== debian/control ===
Source: gmplot
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Detiste <tchet@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-requests,
               python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/vgm64/gmplot
Vcs-Git: https://salsa.debian.org/python-team/packages/gmplot.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/gmplot

Package: python3-gmplot
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: matplotlib-like interface to plotting data with Google Maps (python3)
 Plotting data on Google Maps, the easy way. A matplotlib-like interface to
 generate the HTML and javascript to render all the data you’d like on top of
 Google Maps. Several plotting methods make creating exploratory map views
 effortless.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-gmplot --install-layout=deb

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/gmplot/gmplot-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
